Coming with Pro
API Documentation
Access all DevKit tools programmatically. Automate workflows, batch process data, and integrate into CI/CD pipelines.
Base URL: https://api.devkit.web.id/v1
Auth: Bearer token (included with Pro subscription)
Rate limit: 10,000 requests/month (Pro), 100 requests/day (Free trial)
Authentication
curl -X POST https://api.devkit.web.id/v1/json/format \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input": "{\"name\":\"test\"}"}'Endpoints
POST
/api/json/formatFormat and validate JSONRequest body:
{ "input": "..." }Response:
{ "output": "...", "valid": true }POST
/api/json/minifyMinify JSONRequest body:
{ "input": "..." }Response:
{ "output": "..." }POST
/api/encode/base64Base64 encode/decodeRequest body:
{ "input": "...", "action": "encode|decode" }Response:
{ "output": "..." }POST
/api/encode/urlURL encode/decodeRequest body:
{ "input": "...", "action": "encode|decode" }Response:
{ "output": "..." }POST
/api/hashGenerate hashesRequest body:
{ "input": "...", "algorithms": ["sha256"] }Response:
{ "sha256": "..." }POST
/api/generate/uuidGenerate UUIDsRequest body:
{ "count": 5 }Response:
{ "uuids": ["..."] }POST
/api/generate/passwordGenerate passwordsRequest body:
{ "length": 16, "symbols": true }Response:
{ "password": "..." }POST
/api/convert/yaml-to-jsonYAML to JSONRequest body:
{ "input": "..." }Response:
{ "output": "..." }POST
/api/convert/csv-to-jsonCSV to JSONRequest body:
{ "input": "..." }Response:
{ "output": [...] }POST
/api/minify/cssMinify CSSRequest body:
{ "input": "..." }Response:
{ "output": "...", "savings": "32%" }Error Responses
| Code | Meaning |
|---|---|
| 400 | Invalid input or missing required fields |
| 401 | Missing or invalid API key |
| 429 | Rate limit exceeded |
| 500 | Internal server error |
API access is included with DevKit Pro.
Join the waitlist to get notified when the API launches.